Subject: Teco: Meeting with Global Finance group
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 4 Apr 2000 10:01:00 -0700 (PDT)

Don,

I had a meeting with Davis Thames from Global Finance group this morning. 
Basically, he did not agree with your (old) structure. He walked me through 
on his concerns in detail. For some critical points, I don't necessarily 
agree with his argument such as probability & volatility assumptions of the 
curve. He thought we don't have that at all in our valuation method. I will 
talk to Yvan tomorrow morning to find out exact structure/valuation method 
and let you know the result. It might happen because Davis didn't get the 
update on latest/revised structure. Thank you.

Jinsung Myung
(37330)